# Amuse: amuse::AudioGroupPool Class Reference

amuse::AudioGroupPool Class Reference

`#include <AudioGroupPool.hpp>`

Collaboration diagram for amuse::AudioGroupPool:

## Public Member Functions

| AudioGroupPool (const unsigned char *data)
const unsigned char * | soundMacro (ObjectId id) const
const Keymap * | keymap (ObjectId id) const
const std::vector< const LayerMapping * > * | layer (ObjectId id) const
const ADSR * | tableAsAdsr (ObjectId id) const
const ADSRDLS * | tableAsAdsrDLS (ObjectId id) const
const Curve * | tableAsCurves (ObjectId id) const

## Detailed Description

Database of functional objects within Audio Group

Definition at line 93 of file AudioGroupPool.hpp.

The documentation for this class was generated from the following file:

- include/amuse/AudioGroupPool.hpp